<?php
// Copyright 1999-2024. WebPros International GmbH. All rights reserved.
?>
<?php echo $this->form ?>

<script type="text/javascript">
//<![CDATA[
(function () {
    document.getElementById('general-dbServer').addEventListener('change', function (event) {
        Jsw.Observer.notify(event, 'dbServer')
    });

    document.getElementById('user-createUser').addEventListener('click', function (event) {
        var visible = event.target.checked;
        var formRow = event.target.closest('.form-row');
        while ((formRow = formRow.nextElementSibling)) {
            formRow.style.display = visible ? '' : 'none';
            if ('' !== formRow.id) {
                Jsw.fireCustomEvent(formRow, formRow.id + ':update');
            }
        }
    });
})();
//]]>
</script>
